#import <objc/objc.h>
@class NSString;

typedef enum {
	/* no error */
	NSRTFDErrorNone = 0,
	/* writing errors */
	NSRTFDErrorSaveAborted,
	NSRTFDErrorUnableToWriteFile,
	NSRTFDErrorUnableToCloseFile,
	NSRTFDErrorUnableToCreatePackage,
	NSRTFDErrorUnableToCreateBackup,
	NSRTFDErrorUnableToDeleteBackup,
	NSRTFDErrorUnableToDeleteTemp,
	NSRTFDErrorUnableToDeleteOriginal,
	
	/* reading errors */
	NSRTFDErrorFileDoesntExist,
	NSRTFDErrorUnableToReadFile,
	
	/* both read and write */
	NSRTFDErrorInsufficientAccess,
	NSRTFDErrorMalformedRTFD
} NSRTFDError;

@protocol NXRTFDErrorHandler
- (BOOL)attemptOverwrite:(NSString *)file;
 /* this message is sent to the error handler when the user does not have
    write access to the destination .rtfd file */
@end

